#!/usr/local/bin/expect -f
# callgen.tcl
#
# Expect script to generate calls by driving Asterisk CLI.  Assumes Asterisk
# is running on this machine, makes calls to specified extension forever. Used
# to test long term reliability of uCasterisk.
#
# You may need to be root to run this script.
#
# usage: callgentcl ext

set ext [lindex $argv 0]

spawn asterisk -r 
expect "CLI> "
for {set i 0} {$i <= 10} {incr i} {
    send "dial $ext\r"
    expect "answered"
    expect "CLI> "
    sleep 5
    send "hangup\r"
    expect "CLI> "
    send_user "test number: $i\n"
}
send "exit\r"



